curl --request POST \
--url https://api.sinancode.com/v1/generate/vol/seedance-pro-1.5 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"prompt": "女孩抱着狐狸,女孩睁开眼,温柔地看向镜头,狐狸友善地抱着,镜头缓缓拉出,女孩的头发被风吹动,可以听到风声",
"camera_fixed": false,
"draft": false,
"duration": 5,
"first_frame": "https://example.com/first_frame.jpg",
"generate_audio": true,
"last_frame": "https://example.com/last_frame.jpg",
"ratio": "adaptive",
"resolution": "720p",
"watermark": false
}
'import requests
url = "https://api.sinancode.com/v1/generate/vol/seedance-pro-1.5"
payload = {
"prompt": "女孩抱着狐狸,女孩睁开眼,温柔地看向镜头,狐狸友善地抱着,镜头缓缓拉出,女孩的头发被风吹动,可以听到风声",
"camera_fixed": False,
"draft": False,
"duration": 5,
"first_frame": "https://example.com/first_frame.jpg",
"generate_audio": True,
"last_frame": "https://example.com/last_frame.jpg",
"ratio": "adaptive",
"resolution": "720p",
"watermark": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
prompt: '女孩抱着狐狸,女孩睁开眼,温柔地看向镜头,狐狸友善地抱着,镜头缓缓拉出,女孩的头发被风吹动,可以听到风声',
camera_fixed: false,
draft: false,
duration: 5,
first_frame: 'https://example.com/first_frame.jpg',
generate_audio: true,
last_frame: 'https://example.com/last_frame.jpg',
ratio: 'adaptive',
resolution: '720p',
watermark: false
})
};
fetch('https://api.sinancode.com/v1/generate/vol/seedance-pro-1.5', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"task_id": "01234567-89ab-cdef-0123-456789abcdef"
}{
"error_code": "<string>",
"message": "<string>"
}{
"error_code": "<string>",
"message": "<string>"
}{
"error_code": "<string>",
"message": "<string>"
}Seedance Pro 1.5 视频生成
使用火山引擎 Seedance 1.5 Pro 模型生成视频,支持文生视频、图生视频(首帧/首尾帧)、有声视频、样片模式(异步)
- 多模式生成 - 支持文生视频、图生视频(首帧/首尾帧)、样片模式
- 原生音频生成 - 生成与视频同步的语音、音效和背景音乐(建议将对话部分用双引号包裹以优化音频效果)
- 草稿模式 - 快速生成预览视频,消耗更少的 Token
- 灵活时长 - 支持 4-12 秒,或设为
-1让模型自动决定 - 高清分辨率 - 支持 480p、720p、1080p 输出
授权
请使用您的 API Token 进行认证
请求体
Task parameters
提示词(必填,建议不超过500字)
1 - 2000"女孩抱着狐狸,女孩睁开眼,温柔地看向镜头,狐狸友善地抱着,镜头缓缓拉出,女孩的头发被风吹动,可以听到风声"
是否固定摄像头(可选,默认 false) 注意:图生视频-参考图模式不支持此参数
false
是否为样片模式(可选,默认 false) Seedance 1.5 特性:快速生成预览视频,消耗更少 token 注意:Draft 模式必须使用 480p 分辨率,不支持返回尾帧功能
false
视频时长(可选,默认 5 秒) 范围: 4-12 秒,或设置为 -1 让模型自动选择时长
-1 <= x <= 125
首帧图片 URL(可选) 传入后为图生视频-首帧模式
"https://example.com/first_frame.jpg"
是否生成音频(可选,默认 true) Seedance 1.5 特性:生成与画面同步的声音(人声、音效、背景音乐) 建议将对话部分置于双引号内以优化音频生成效果
true
尾帧图片 URL(可选) 需要配合 first_frame 使用,为图生视频-首尾帧模式
"https://example.com/last_frame.jpg"
宽高比(可选) 文生视频默认: adaptive(自适应) 图生视频默认: adaptive(根据首帧图片自适应) 可选值: 16:9, 4:3, 1:1, 3:4, 9:16, 21:9, adaptive
16:9, 4:3, 1:1, 3:4, 9:16, 21:9, adaptive "adaptive"
分辨率(可选,默认 720p) 可选值: 480p, 720p, 1080p 注意:Draft 模式只能使用 480p
480p, 720p, 1080p "720p"
是否添加水印(可选,默认 false)
false
响应
OK
Task ID
"01234567-89ab-cdef-0123-456789abcdef"